<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSNMPCommunityStringReq StructType
 * @subpackage Structs
 */
class AddSNMPCommunityStringReq extends APIRequest
{
    /**
     * The CommunityString
     * @var RCommunityString
     */
    public $CommunityString;
    /**
     * Constructor method for AddSNMPCommunityStringReq
     * @uses AddSNMPCommunityStringReq::setCommunityString()
     * @param RCommunityString $communityString
     */
    public function __construct(RCommunityString $communityString = null)
    {
        $this
            ->setCommunityString($communityString);
    }
    /**
     * Get CommunityString value
     * @return RCommunityString|null
     */
    public function getCommunityString()
    {
        return $this->CommunityString;
    }
    /**
     * Set CommunityString value
     * @param RCommunityString $communityString
     * @return AddSNMPCommunityStringReq
     */
    public function setCommunityString(RCommunityString $communityString = null)
    {
        $this->CommunityString = $communityString;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSNMPCommunityStringReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
